# Get Images URL - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-get-training-images-url

# Get Images URL

POST

/

v3

/

assets

/

training_dataset

Try it

Get Images URL

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/assets/training_dataset \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"file_extension": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/v3/assets/training_dataset"payload = { "file_extension": "&#x3C;string>" }headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({file_extension: '&#x3C;string>'})};fetch('https://api.novita.ai/v3/assets/training_dataset', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v3/assets/training_dataset", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'file_extension' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v3/assets/training_dataset"	payload := strings.NewReader("{\n \"file_extension\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v3/assets/training_dataset") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"file_extension\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v3/assets/training_dataset")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"file_extension\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"assets_id": 123,
"upload_url": "&#x3C;string>",
"method": "&#x3C;string>",
"headers": {
"Host": {
"values": [
"&#x3C;string>"
]
}
}
}
```

This API provides an S3 pre-signed uploading URL for training images.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-file-extension)

file_extension

string

required

Enum: `png`, `webp`, `jpeg`

##

[​](#response)

Response

[​](#param-assets-id)

assets_id

integer

The asset ID.

[​](#param-upload-url)

upload_url

string

The S3 pre-signed uploading URL.

[​](#param-method)

method

string

The method for uploading.

Enum: `PUT`

[​](#param-headers)

headers

object

Show properties

[​](#param-host)

Host

object

Show properties

[​](#param-values)

values

string[]

The host value.

##

[​](#example)

Example

request

```
curl --location 'https://api.novita.ai/v3/assets/training_dataset' \
--header 'Authorization: Bearer {{API Key}}' \
--header 'Content-Type: application/json' \
--data '{
"file_extension": "png"
}'
```

response

```
{
"assets_id": 100024,
"upload_url": "https://faas-training-dataset.s3.ap-southeast-1.amazonaws.com/test/743567e210ff505ce5502cfb46659c8e.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIASVPYCN6LRCW3SOUV%2F20231102%2Fap-southeast-1%2Fs3%2Faws4_request&X-Amz-Date=20231102T060519Z&X-Amz-Expires=120&X-Amz-SignedHeaders=host&x-id=PutObject&X-Amz-Signature=781d2156b707b7cfa87d94fb2836838e114c3afe4588368b9503c618ac125a67",
"method": "PUT",
"headers": {
"Host": {
"values": ["faas-training-dataset.s3.ap-southeast-1.amazonaws.com"]
}
}
}
```

Last modified on December 25, 2024
